Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Task.Record

    java.lang.Object
      com.xensource.xenapi.Task.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Task

    public static class Task.Record

extends Object
implements Types.Record

Represents all the fields in a Task

Field Summary
`Set<Types.TaskAllowedOperations>` | `allowedOperations` list of the operations allowed in this state.
`Date` | `created` Time task was created
`Map<String,Types.TaskAllowedOperations>` | `currentOperations` links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.
`Set<String>` | `errorInfo` if the task has failed, this field contains the set of associated error strings.
`Date` | `finished` Time task finished (i.e.
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Map<String,String>` | `otherConfig` additional configuration
`Double` | `progress` This field contains the estimated fraction of the task which is complete.
`Host` | `residentOn` the host on which the task is running
`String` | `result` if the task has completed successfully, this field contains the result value (either Void or an object reference).
`Types.TaskStatusType` | `status` current status of the task
`Task` | `subtaskOf` Ref pointing to the task this is a substask of.
`Set<Task>` | `subtasks` List pointing to all the substasks.
`String` | `type` if the task has completed successfully, this field contains the type of the encoded result (i.e.
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`Task.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a task.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### allowedOperations

    public Set<Types.TaskAllowedOperations> allowedOperations

  list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client.

### currentOperations

    public Map<String,Types.TaskAllowedOperations> currentOperations

  links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.

### created

    public Date created

  Time task was created

### finished

    public Date finished

  Time task finished (i.e. succeeded or failed). If task-status is pending, then the value of this field has no meaning

### status

    public Types.TaskStatusType status

  current status of the task

### residentOn

    public Host residentOn

  the host on which the task is running

### progress

    public Double progress

  This field contains the estimated fraction of the task which is complete. This field should not be used to determine whether the task is complete - for this the status field of the task should be used.

### type

    public String type

  if the task has completed successfully, this field contains the type of the encoded result (i.e. name of the class whose reference is in the result field). Undefined otherwise.

### result

    public String result

  if the task has completed successfully, this field contains the result value (either Void or an object reference). Undefined otherwise.

### errorInfo

    public Set<String> errorInfo

  if the task has failed, this field contains the set of associated error strings. Undefined otherwise.

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### subtaskOf

    public Task subtaskOf

  Ref pointing to the task this is a substask of.

### subtasks

    public Set<Task> subtasks

  List pointing to all the substasks.

Constructor Detail

### Task.Record

    public Task.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a task.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD